Skip to main content

List of Available Promotion Types

This endpoint returns the list of all types available for a given partner that can be used when defining promotions (via the type field). The set of available types depends on the partner.

Endpoint

MethodURL
GEThttps://ws.catappult.io/api/promotions/partners/{partnerName}/types

Authentication

To access this API, you need to have an active account subscription on Aptoide Connect and authenticate with an API key (check here how to generate one).

Headers

HeaderTypeRequiredDescription
Api-KeystringRequiredUsed to authenticate your API requests. The value is your Aptoide Connect API key.

Path Parameters

ParameterTypeDescription
partnerNamestringIdentifier of the partner whose promotion types you want to list (e.g. APTOIDE-GAMES). See List Available Partners for valid values.

Example Request

curl -X GET "https://ws.catappult.io/api/promotions/partners/APTOIDE-GAMES/types" \
-H "Api-Key: <YOUR_API_KEY>"

Response

Success

If the API call returns an HTTP 200 status code, the request was successful and it returns a JSON array of promotion type strings valid for the given partner.

Example Response

[
"EDITORS-CHOICE",
"EDITORIAL-ARTICLE",
"HOME-BUNDLE",
"PROMOTIONAL-CARD",
"GAMES-OF-THE-WEEK",
"SEARCH",
"APPVIEW-POST-INSTALL"
]